OID reference

vlanEntry

1.3.6.1.4.1.89.48.17.1

Description

A list of information for each virtual LAN.

Full description and source information

Identification

Identifier and names

Parent
1.3.6.1.4.1.89.48.17 (vlanTable)
Node code
1
Node name
vlanEntry
Category
SNMP management object
Numeric OID
1.3.6.1.4.1.89.48.17.1
URN notation
urn:oid:1.3.6.1.4.1.89.48.17.1
ASN.1, OID-IRI and named path variants
ASN.1 notation

{1 3 6 1 4 1 89 48 17 1}

  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) vlan(48) vlanTable(17) vlanEntry(1)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) vlan(48) vlanTable(17) vlanEntry(1)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) vlan(48) vlanTable(17) vlanEntry(1)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) vlan(48) vlanTable(17) vlanEntry(1)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) vlan(48) vlanTable(17) vlanEntry(1)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) vlan(48) vlanTable(17) vlanEntry(1)}
  • {iso(1) org(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) vlan(48) vlanTable(17) vlanEntry(1)}
  • {iso(1) org(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) vlan(48) vlanTable(17) vlanEntry(1)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) vlan(48) vlanTable(17) vlanEntry(1)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) vlan(48) vlanTable(17) vlanEntry(1)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) vlan(48) vlanTable(17) vlanEntry(1)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) vlan(48) vlanTable(17) vlanEntry(1)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) vlan(48) vlanTable(17) vlanEntry(1)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) vlan(48) vlanTable(17) vlanEntry(1)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) vlan(48) vlanTable(17) vlanEntry(1)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) vlan(48) vlanTable(17) vlanEntry(1)}
OID-IRI notation
  • /1/3/6/1/4/1/89/48/17/1
  • /ISO/Identified-Organization/6/1/4/1/89/48/17/1
  • /ISO/3/6/1/4/1/89/48/17/1
Named path variants
  • /iso/identified-organization/dod/internet/private/enterprise/rnd/vlan/vlanTable/vlanEntry
  • /iso/identified-organization/dod/internet/private/enterprises/rnd/vlan/vlanTable/vlanEntry
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/rnd/vlan/vlanTable/vlanEntry
  • /iso/identified-organization/dod/internet/private/vendor-objects/rnd/vlan/vlanTable/vlanEntry
  • /iso/org/dod/internet/private/enterprise/rnd/vlan/vlanTable/vlanEntry
  • /iso/org/dod/internet/private/enterprises/rnd/vlan/vlanTable/vlanEntry
  • /iso/org/dod/internet/private/ldap-enterprise/rnd/vlan/vlanTable/vlanEntry
  • /iso/org/dod/internet/private/vendor-objects/rnd/vlan/vlanTable/vlanEntry
  • /iso/iso-identified-organization/dod/internet/private/enterprise/rnd/vlan/vlanTable/vlanEntry
  • /iso/iso-identified-organization/dod/internet/private/enterprises/rnd/vlan/vlanTable/vlanEntry
  • /iso/iso-identified-organization/dod/internet/private/ldap-enterprise/rnd/vlan/vlanTable/vlanEntry
  • /iso/iso-identified-organization/dod/internet/private/vendor-objects/rnd/vlan/vlanTable/vlanEntry
  • /iso/iso-organization/dod/internet/private/enterprise/rnd/vlan/vlanTable/vlanEntry
  • /iso/iso-organization/dod/internet/private/enterprises/rnd/vlan/vlanTable/vlanEntry
  • /iso/iso-organization/dod/internet/private/ldap-enterprise/rnd/vlan/vlanTable/vlanEntry
  • /iso/iso-organization/dod/internet/private/vendor-objects/rnd/vlan/vlanTable/vlanEntry

SNMP properties

Value type
VlanEntry
Maximum access defined by MIB
not-accessible
Status in MIB
mandatory

Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.

The displayed source records contain one distinct definition. Compare its source records.

vlanEntry OBJECT-TYPE
    SYNTAX VlanEntry
    ACCESS  not-accessible
    STATUS  mandatory
    DESCRIPTION
        "A list of information for each virtual LAN."
    INDEX  { vlanIfIndex }
    ::= { vlanTable 1 }

Meaning

Descriptions

1 unique

Identical descriptions are grouped. Different wording and device-specific notes are retained.

Evidence

Source records

1 records

Matching descriptions are grouped; open a group to compare definitions and supporting files.

Records for description 1D-Link official switch MIBs1 record · 1 source

Description 1

vlanEntry · mandatoryD-Link official switch MIBs1 source

Status in source: mandatory.

Names: vlanEntry

Technical details
{
  "smi_kind": "OBJECT-TYPE",
  "definition": [
    "vlanEntry",
    "OBJECT-TYPE",
    "SYNTAX",
    "VlanEntry",
    "ACCESS",
    "not-accessible",
    "STATUS",
    "mandatory",
    "DESCRIPTION",
    "\"A list of information for each virtual LAN.\"",
    "INDEX",
    "{",
    "vlanIfIndex",
    "}",
    "::=",
    "{",
    "vlanTable",
    "1",
    "}"
  ],
  "syntax_tree": [
    [
      "row",
      "VlanEntry"
    ],
    null,
    [
      "MaxAccessPart",
      "not-accessible"
    ],
    [
      "Status",
      "mandatory"
    ],
    [
      "DESCRIPTION",
      "A list of information for each virtual LAN."
    ],
    null,
    null,
    [
      "INDEX",
      [
        [
          0,
          "vlanIfIndex"
        ]
      ]
    ],
    null
  ]
}
  • D-Link official switch MIBs · Publisher's source file: Source package: DES6300 MIB(0131140909).zip

    Module: RADLAN-MIB

    See published definition above

    Module imports
    {'IF-MIB': ['InterfaceIndexOrZero', 'InterfaceIndex', 'ifIndex'], 'LAG-MIB': ['dot3adAggIndex'], 'MAU-MIB': ['JackType'], 'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RMON-MIB': ['OwnerString', 'EntryStatus'], 'SNMPv2-TC': ['TEXTUAL-CONVENTION'], 'BRIDGE-MIB': ['BridgeId', 'Timeout', 'dot1dBasePort', 'dot1dBasePortEntry', 'MacAddress'], 'SNMPv2-SMI': ['Unsigned32', 'Counter32', 'Counter64'], 'RFC1155-SMI': ['NetworkAddress', 'IpAddress', 'Counter', 'Gauge', 'TimeTicks', 'enterprises'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress', 'ipAddrEntry'], 'RFC1315-MIB': ['DLCI'], 'RFC1389-MIB': ['rip2IfConfEntry'], 'P-BRIDGE-MIB': ['EnabledStatus'], 'Q-BRIDGE-MIB': ['PortList'], 'SNMPv2-TC-v1': ['TimeInterval'], 'RADLAN-SNMPv2': ['TruthValue', 'RowStatus', 'zeroDotZero', 'RowPointer'], 'SNMP-FRAMEWORK-MIB': ['SnmpAdminString']}
    · Download APOLLO.TXT

    Related source files and packages:

Registration

Registration authorities

First Registration Authority (inferred from ancestor 1.3.6.1.4.1.89)

Nethaniel Rina

Direct children (9)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.4.1.89.48.17.1.1 vlanIfIndex00
1.3.6.1.4.1.89.48.17.1.2 vlanProtType00
1.3.6.1.4.1.89.48.17.1.3 vlanProtNum00
1.3.6.1.4.1.89.48.17.1.4 vlanAutoConfigEnable00
1.3.6.1.4.1.89.48.17.1.5 vlanStatus00
1.3.6.1.4.1.89.48.17.1.6 vlanName00
1.3.6.1.4.1.89.48.17.1.7 vlanTag00
1.3.6.1.4.1.89.48.17.1.8 vlanPriority00
1.3.6.1.4.1.89.48.17.1.16 vlanPhysAddressType00